AlsaPlayer: _output_plugin Struct Reference

AlsaPlayer 0.99.81

Data Fields
_output_plugin Struct Reference

`#include <output_plugin.h>`

## Data Fields
output_version_type | version
const char * | name
const char * | author
output_init_type | init
output_open_type | open
output_close_type | close
output_write_type | write
output_start_callbacks_type | start_callbacks
output_set_buffer_type | set_buffer
output_set_sample_rate_type | set_sample_rate
output_get_queue_count_type | get_queue_count
output_get_latency_type | get_latency

## Field Documentation

## ◆ author

const char* _output_plugin::author

Author of the plugin

## ◆ close

output_close_type _output_plugin::close

Close the output plugin

## ◆ get_latency

output_get_latency_type _output_plugin::get_latency

Returns the latency of the output device in bytes. This function is optional.

## ◆ get_queue_count

output_get_queue_count_type _output_plugin::get_queue_count

Returns the number of bytes pending in the hardware buffer of output device. This function is optional.

## ◆ init

output_init_type _output_plugin::init

Initialize output plugin. Called before the plugin is opened for use

## ◆ name

const char* _output_plugin::name

Name of output plugin

## ◆ open

output_open_type _output_plugin::open

Parameters

  path | The path or device designation that should be used

Opens the output plugin. A value of 1 should be returned on success, 0 on failure.

## ◆ set_buffer

output_set_buffer_type _output_plugin::set_buffer

Parameters

  frag_size | Fragment size to use (in bytes)
  frag_count | Fragment count to use (in bytes)
  channels | Number of channels to use

Set up the output device with the given parameters. Some output devices do not accept such configurations in which case they should just be ignored, but still expect frag_size data chunks in the write function. A value of 1 should be returned on success, 0 on failure.

## ◆ set_sample_rate

output_set_sample_rate_type _output_plugin::set_sample_rate

Parameters

  rate | Sample rate to use

Set the sample rate of the output device. A value of 1 should be returned on success, 0 on failure.

## ◆ start_callbacks

output_start_callbacks_type _output_plugin::start_callbacks

Parameters

  data | pointer to bufs structure in AlsaNode

This function is used for callback based plugins like JACK

## ◆ version

output_version_type _output_plugin::version

Version of output plugin. Must be OUTPUT_PLUGIN_VERSION

## ◆ write

output_write_type _output_plugin::write

Parameters

  data | Buffer that contains the data Number of bytes that should be read from the buffer

Write out data to the output device. This is a byte count and will typically be the same size as a fragment. A value of 1 should be returned on success, 0 on failure.

The documentation for this struct was generated from the following file:

- output_plugin.h